> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apisale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload image or video for use in run input

> Multipart upload. Returns a public URL to pass in model `input` fields (e.g. `image_url`). Max 50 MB. Requires `runs:write` scope.



## OpenAPI

````yaml /openapi.json post /v1/media/upload
openapi: 3.0.0
info:
  title: apisale Public API
  version: 0.1.0
  description: >-
    Generative media inference, account monitoring, and SDK-compatible routes
    for apisale.ai. Authenticate with `Authorization: Key YOUR_API_KEY`.
servers:
  - url: https://api.apisale.ai
security: []
paths:
  /v1/media/upload:
    post:
      tags:
        - Public Media
      summary: Upload image or video for use in run input
      description: >-
        Multipart upload. Returns a public URL to pass in model `input` fields
        (e.g. `image_url`). Max 50 MB. Requires `runs:write` scope.
      operationId: MediaController_upload
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: image/* or video/*
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MediaUploadResponseDto'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MediaUploadResponseDto:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key: `Key sk-xxx` or `Bearer sk-xxx`'

````